<script setup lang="ts">
import Checkbox from "primevue/checkbox";
import {computed} from "vue";
import type {PreparedVersion} from "@/entities/Repository/PreparedVersion";
import AutoCompleteBranch from "@/components/molecules/form/Branch/AutoCompleteBranch.vue";

const props = defineProps<{
  preparedVersion: PreparedVersion
}>()

const inputID = computed(() => 'pull_latest_changes_' + props.preparedVersion.repository.code)

</script>

<template>
  <AutoCompleteBranch
      :repository="preparedVersion.repository"
      v-model:branch="preparedVersion.branch"
      :required="true"
  />
  <div class="flex items-center">
    <Checkbox v-model="preparedVersion.pullLatestChanges" :binary="true" :inputId="inputID"/>
    <label :for="inputID" class="ml-2">Pull les derniers changements</label>
  </div>
</template>